# Test Environments A Test Environment is a dedicated sandbox tenant designed for development, integration, and user acceptance testing of your system configurations and business processes. ## List all test environments - [GET /test-environments](https://developer.zuora.com/v1-api-reference/api/test-environments/getalltestenvironments.md): Use this operation to retrieves a list of all Test Environments. It returns an ArrayResponse containing TestEnvironmentResponse objects, representing the available Test Environments in the system. ### User Access Permission You must be assigned the Refresh Central Sandbox permission to run this operation. ## Retrieve a test environment response - [GET /test-environments/{id}](https://developer.zuora.com/v1-api-reference/api/test-environments/gettestenvironment.md): Use this operation to retrieves a specific Test Environment by its unique identifier. It returns a TestEnvironmentResponse object if the environment is found. If the specified Test Environment does not exist, it returns a 404 error. ### User Access Permission You must be assigned the Refresh Central Sandbox permission to run this operation.